--  Copyright 2010,2013 EUROPEAN UNION
--  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
--  the European Commission - subsequent versions of the EUPL (the "Licence");
--  You may not use this work except in compliance with the Licence.
--  You may obtain a copy of the Licence at:
-- 
--  http://ec.europa.eu/idabc/eupl
-- 
--  Unless required by applicable law or agreed to in writing, software
--  distributed under the Licence is distributed on an "AS IS" basis,
--  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--  See the Licence for the specific language governing permissions and
--  limitations under the Licence.
-- 
--  Date: 28/10/2013
--  Authors: European Commission, Joint Research Centre
--  Daniele Francioli, Emanuela Epure
--  inspire-registry-info@jrc.ec.europa.eu
-- 
--  This work was supported by the EU  Interoperability Solutions for
--  European Public Administrations Programme (http://ec.europa.eu/isa)
--  through Action 1.17: Re-usable INSPIRE Reference Platform 
--  (http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).

SELECT 
  * 
FROM 
  public.applicationschema, 
  public.themelanguage, 
  public.theme, 
  public.applicationschemalanguage, 
  public.languagecode, 
  public.codelistitem, 
  public.codelistitemlanguage, 
  public.status, 
  public.source, 
  public.definedin, 
  public.extensibility, 
  public.codevalueitem, 
  public.codevalueitemlanguage, 
  public.type
WHERE 
  applicationschema.theme_uuid = theme.uuid AND
  themelanguage.theme_uuid = theme.uuid AND
  themelanguage.languagecode_uuid = languagecode.uuid AND
  applicationschemalanguage.applicationschema_uuid = applicationschema.uuid AND
  applicationschemalanguage.languagecode_uuid = languagecode.uuid AND
  codelistitem.status_uuid = status.uuid AND
  codelistitem.applicationschema_uuid = applicationschema.uuid AND
  codelistitem.source_uuid = source.uuid AND
  codelistitem.extensibility_uuid = extensibility.uuid AND
  codelistitem.definedin_uuid = definedin.uuid AND
  codelistitemlanguage.codelistitem_uuid = codelistitem.uuid AND
  codelistitemlanguage.languagecode_uuid = languagecode.uuid AND
  codevalueitem.type_uuid = type.uuid AND
  codevalueitem.status_uuid = status.uuid AND
  codevalueitem.codelistitem_uuid = codelistitem.uuid AND
  codevalueitemlanguage.codevalueitem_uuid = codevalueitem.uuid AND
  codevalueitemlanguage.languagecode_uuid = languagecode.uuid;