--  Copyright 2010,2013 EUROPEAN UNION
--  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
--  the European Commission - subsequent versions of the EUPL (the "Licence");
--  You may not use this work except in compliance with the Licence.
--  You may obtain a copy of the Licence at:
-- 
--  http://ec.europa.eu/idabc/eupl
-- 
--  Unless required by applicable law or agreed to in writing, software
--  distributed under the Licence is distributed on an "AS IS" basis,
--  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--  See the Licence for the specific language governing permissions and
--  limitations under the Licence.
-- 
--  Date: 28/10/2013
--  Authors: European Commission, Joint Research Centre
--  Daniele Francioli, Emanuela Epure
--  inspire-registry-info@jrc.ec.europa.eu
-- 
--  This work was supported by the EU  Interoperability Solutions for
--  European Public Administrations Programme (http://ec.europa.eu/isa)
--  through Action 1.17: Re-usable INSPIRE Reference Platform 
--  (http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).

-- Table: themelanguage

-- DROP TABLE themelanguage;

CREATE TABLE themelanguage
(
  uuid character varying(255) NOT NULL,
  theme_uuid character varying(255),
  label character varying(255),
  languagecode_uuid character varying(255),
  CONSTRAINT themelanguage_uuid PRIMARY KEY (uuid),
  CONSTRAINT fk_themelanguage_languagecode_uuid FOREIGN KEY (languagecode_uuid)
      REFERENCES languagecode (uuid) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk_themelanguage_theme_uuid FOREIGN KEY (theme_uuid)
      REFERENCES theme (uuid) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT languagecode_theme_fk FOREIGN KEY (languagecode_uuid)
      REFERENCES languagecode (uuid) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT themelanguage_fk FOREIGN KEY (theme_uuid)
      REFERENCES theme (uuid) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE themelanguage
  OWNER TO inspirergd;
