/*
* Copyright 2010,2013 EUROPEAN UNION
* Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
* the European Commission - subsequent versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the Licence.
* You may obtain a copy of the Licence at:
*
* http://ec.europa.eu/idabc/eupl
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the Licence is distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the Licence for the specific language governing permissions and
* limitations under the Licence.
*
* Date: 28/10/2013
* Authors: European Commission, Joint Research Centre
* Daniele Francioli, Emanuela Epure
* inspire-registry-info@jrc.ec.europa.eu
*
* This work was supported by the EU  Interoperability Solutions for
* European Public Administrations Programme (http://ec.europa.eu/isa)
* through Action 1.17: Re-usable INSPIRE Reference Platform 
* (http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).
*/

package eu.europa.ec.re3gistry.util.log;

import java.util.Collection;
import java.util.Iterator;
import org.apache.log4j.LogManager;
import org.apache.log4j.or.ObjectRenderer;
import org.apache.log4j.or.RendererMap;
import org.apache.log4j.spi.RendererSupport;

public class CollectionRenderer
        implements ObjectRenderer {

    public CollectionRenderer() {
    }

    public String doRender(Object o) {
        String result = "Error performing Collection scanning";
        try {
            RendererMap map = ((RendererSupport) LogManager.getLoggerRepository()).getRendererMap();
            StringBuffer resultStrBuff = new StringBuffer("[");
            for (Iterator iter = ((Collection) o).iterator(); iter.hasNext(); resultStrBuff.append(map.findAndRender(iter.next()) + " ")) {
            }
            resultStrBuff.append("]");
            result = resultStrBuff.toString();
        } catch (Exception e) {
        }
        return result;
    }
}
