/*
* Copyright 2010,2013 EUROPEAN UNION
* Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
* the European Commission - subsequent versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the Licence.
* You may obtain a copy of the Licence at:
*
* http://ec.europa.eu/idabc/eupl
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the Licence is distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the Licence for the specific language governing permissions and
* limitations under the Licence.
*
* Date: 28/10/2013
* Authors: European Commission, Joint Research Centre
* Daniele Francioli, Emanuela Epure
* inspire-registry-info@jrc.ec.europa.eu
*
* This work was supported by the EU  Interoperability Solutions for
* European Public Administrations Programme (http://ec.europa.eu/isa)
* through Action 1.17: Re-usable INSPIRE Reference Platform 
* (http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).
*/

package eu.europa.ec.re3gistry.re3gistryimport.constants;

public class Constants {

    //Import error parameter key
    public static String IMPORT_ERROR_KEY = "errors";
    
    //Action types
    public static final int ACTION_TYPE_ITEMIMPORT = 1;
    public static final int ACTION_TYPE_LANGUAGEIMPORT = 2;
    
    //Import types    
    public static final int IMPORT_TYPE_THEME = 1;
    public static final int IMPORT_TYPE_THEME_LANGUAGE = 2;
    public static final int IMPORT_TYPE_APPLICATIONSCHEMA = 3;
    public static final int IMPORT_TYPE_APPLICATIONSCHEMA_LANGUAGE = 4;
    public static final int IMPORT_TYPE_CODELIST = 5;
    public static final int IMPORT_TYPE_CODELIST_LANGUAGE = 6;
    public static final int IMPORT_TYPE_CODEVALUE = 7;
    public static final int IMPORT_TYPE_CODEVALUE_LANGUAGE = 8;
    
    //SQL
        
    //Query
    /*
    public static final String IMPORT_CHECK_THEME = "select t from " + EntityNames.ENTITY_THEME + " t";
    public static final String IMPORT_CHECK_THEMELANGUAGE = "select t from " + EntityNames.ENTITY_THEMELANGUAGE + " t";
    public static final String IMPORT_CHECK_APPLICATION_SCHEMA = "select t from " + EntityNames.ENTITY_APPLICATIONSCHEMA + " t";
    public static final String IMPORT_CHECK_APPLICATION_SCHEMALANGUAGE = "select t from " + EntityNames.ENTITY_APPLICATIONSCHEMALANGUAGE + " t";
    public static final String IMPORT_CHECK_CODELIST = "select t from " + EntityNames.ENTITY_CODELISTITEM + " t";
    public static final String IMPORT_CHECK_CODELIST_LANGUAGE = "select t from " + EntityNames.ENTITY_CODELISTITEM_LANGUAGE + " t";
    public static final String IMPORT_CHECK_CODEVALUE = "select t from " + EntityNames.ENTITY_CODEVALUEITEM + " t";
     public static final String IMPORT_CHECK_CODEVALUE_LANGUAGE = "select t from " + EntityNames.ENTITY_CODEVALUEITEM_LANGUAGE + " t";
    
    public static final String IMPORT_CHECK_THEME_EXIST = "select t from " + EntityNames.ENTITY_THEME + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_APPLICATIONSCHEMA_EXIST = "select t from " + EntityNames.ENTITY_APPLICATIONSCHEMA + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_CODELISTITEM_EXIST = "select t from " + EntityNames.ENTITY_CODELISTITEM + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_EXTENSIBILITY_EXIST = "select t from " + EntityNames.ENTITY_EXTENSIBILITY + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_SOURCE_EXIST = "select t from " + EntityNames.ENTITY_SOURCE + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_STATUS_EXIST = "select t from " + EntityNames.ENTITY_STATUS + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_CODELIST_EXIST = "select t from " + EntityNames.ENTITY_CODELISTITEM + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_CODEVALUE_EXIST = "select t from " + EntityNames.ENTITY_CODEVALUEITEM + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_LANGUAGECODE_EXIST = "select t from " + EntityNames.ENTITY_LANGUAGECODE + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_CODEVALUEITEM_EXIST = "select t from " + EntityNames.ENTITY_CODEVALUEITEM + " t where t.uuid = :uuid";
    public static final String IMPORT_CHECK_TYPE_EXIST = "select t from " + EntityNames.ENTITY_TYPE + " t where t.uuid = :uuid";
    * */
}